Print Friendly

# Class Ext.DialogManager

Package: | Ext
Class: | DialogManager
Extends: | Object
Defined In: | BasicDialog.js

Provides global access to BasicDialogs that have been created and support for z-indexing (layering) multiple open dialogs.
Properties - Methods - Events

## Public Properties

Property | Defined By
--- | ---
| zseed : Number | DialogManager
The starting z-index for BasicDialogs (defaults to 9000)

## Public Methods

Method | Defined By
--- | ---
| bringToFront(`String/Object dlg`) : Ext.BasicDialog | DialogManager
Brings the specified dialog to the front
| get(`String/Object id`) : Ext.BasicDialog | DialogManager
Gets a registered dialog by id
| hideAll() : void | DialogManager
Hides all dialogs
| sendToBack(`String/Object dlg`) : Ext.BasicDialog | DialogManager
Sends the specified dialog to the back

## Public Events

This class has no public events.

## Property Details

### zseed

`public Number zseed`
The starting z-index for BasicDialogs (defaults to 9000)
This property is defined by DialogManager.

## Method Details

### bringToFront

`public function bringToFront(`String/Object dlg`)`
Brings the specified dialog to the front
Parameters:

- `dlg` : String/Object
  The id of the dialog or a dialog

Returns:

- `Ext.BasicDialog`
  this

This method is defined by DialogManager.

### get

`public function get(`String/Object id`)`
Gets a registered dialog by id
Parameters:

- `id` : String/Object
  The id of the dialog or a dialog

Returns:

- `Ext.BasicDialog`
  this

This method is defined by DialogManager.

### hideAll

`public function hideAll()`
Hides all dialogs
Parameters:

- None.

Returns:

- `void`

This method is defined by DialogManager.

### sendToBack

`public function sendToBack(`String/Object dlg`)`
Sends the specified dialog to the back
Parameters:

- `dlg` : String/Object
  The id of the dialog or a dialog

Returns:

- `Ext.BasicDialog`
  this

This method is defined by DialogManager.

Ext - Copyright © 2006-2007 Ext JS, LLC
All rights reserved.